Subject: RE: bug#39847: Document how users can make text-zoom keys same as browser

From: Drew Adams <[email-masked]>
Date: Tue, 3 Mar 2020 13:13:08 -0800 (PST)

> > I don't see how it would be backward
> > compatible.  How so?
> 
> I mean that it would not change the current binding for C--.

I see.  Yes, thanks.  (You meant that,
unlike changing C-+/-, it wouldn't be
backward incompatible.)

> > 1. It doesn't help with the argument currently
> >    being given, which is that users are used to
> >    `C-+/-'.  `s-+/-' doesn't help at all, given
> >    such a habit, does it?
> 
> I personally agree with Richard that C-- and C-+ is a better default
> and I also think it's okay if negative prefix argument is only on M--.
> However, Eli has stated in Bug#28182 that he doesn't want a backward
> incompatible change.
> 
> AFAICT, s-- and s-+ has some precedence.  It's used in Sublime
> Text.  Atom and VSCode use C-- and C-+.  This is from searching the
> web.

OK, but it won't help with a habit of using
`C-+/-' to zoom.  That was my point here.

> > 2. We already have `C-x +/-'.  Why would we need
> >    or want two such sets of keys, by default?
> 
> Familiarity and ease of use.

That might be an argument for switching to `s-+/-'
_instead_ of `C-x C-+/-' (familiarity, at least
for Sublime users).  But I don't see how it argues
for having both, by default.

> BTW, we have more than two such keys: 
>      C-x C-+         text-scale-adjust
>      C-x C--         text-scale-adjust
>      C-x C-0         text-scale-adjust
>      C-x C-=         text-scale-adjust

Yes.  And the `C-0' behavior would still be
needed, using some key sequence.

Which is (IMO) another argument against using
`C-+' and `C--'.  `C-x' followed by `C--',
`C-0' or `C-+' kinda makes sense (mnemonic).
Where would we put the `C-0' behavior, for
the proposal to change to `C-+/-'?

Likewise, for convenience, a `s-=' alias
would also still be needed/wanted for `s-+',
for the same reason - no need to use `Shift'.

So we would be talking about some key (maybe
`s-0'?) for what `C-x C-0' does, plus
sacrificing `s-+', `s-=', and `s--'.  So four
keys.

Plus apparently keeping `C-x C--', `C-x C-0',
`C-x C-+', and `C-x C-='.